# BigQuery API . projects

## Instance Methods

Lists all projects to which you have been granted any project role.

Retrieves the next page of results.

### Method Details

`list(pageToken=None, maxResults=None)`

    Lists all projects to which you have been granted any project role.

    Args:
      pageToken: string, Page token, returned by a previous call, to request the next page of results
      maxResults: integer, Maximum number of results to return

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # A token to request the next page of results.
        "totalItems": 42, # The total number of projects in the list.
        "kind": "bigquery#projectList", # The type of list.
        "etag": "A String", # A hash of the page of results
        "projects": [ # Projects to which you have at least READ access.
          {
            "friendlyName": "A String", # A descriptive name for this project.
            "kind": "bigquery#project", # The resource type.
            "numericId": "A String", # The numeric ID of this project.
            "id": "A String", # An opaque ID of this project.
            "projectReference": { # A unique reference to this project.
              "projectId": "A String", # [Required] ID of the project. Can be either the numeric ID or the assigned ID of the project.
            },
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.